Bug 1121972 - creating a medium with single whitespace(" ") shouldn't be allowed
Summary: creating a medium with single whitespace(" ") shouldn't be allowed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 09:08 UTC by Sachin Ghai
Modified: 2017-02-23 21:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:11:12 UTC


Attachments (Terms of Use)
media created with single whitespace in name (34.56 KB, image/png)
2014-07-22 09:08 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6765 None None None 2016-04-22 16:36:26 UTC

Description Sachin Ghai 2014-07-22 09:08:53 UTC
Created attachment 919847 [details]
media created with single whitespace in name

Description of problem:
I was trying to create media with single white space in quotes (" ") and it was created successfully. However when I increase the the whitespace, UI throws error:

  can't be blank or contain trailing white spaces.

so UI should throw same error while creating media with single whitespace.

Version-Release number of selected component (if applicable):
sat6 GA snap1

How reproducible:
always

Steps to Reproduce:
1. create a media with single while space in quotes in name
2.
3.

Actual results:
media created successfully

Expected results:
UI should throw error:

 can't be blank or contain trailing white spaces.
Additional info:
logs from production.log

Processing by MediaController#create as */*
  Parameters: {"utf8"=>"✓", "search"=>"", "authenticity_token"=>"VX+UKFuIgqWyHwxAdhnLIrzFLAmDgGh5qENjFuLnsso=", "medium"=>{"name"=>"\" \"", "path"=>"http://mirror.fakeos.org/G8/$major.$minor/os/$arch", "media_path"=>"", "config_path"=>"", "image_path"=>"", "os_family"=>"", "location_ids"=>[""], "organization_ids"=>[""]}}
Redirected to https://dhcp201-195.englab.pnq.redhat.com/media
Completed 302 Found in 29ms (ActiveRecord: 10.3ms)
Processing by MediaController#index as */*
  Rendered media/index.html.erb within layouts/application (91.4ms)
  Rendered common/_searchbar.html.erb (3.5ms)
  Rendered home/_user_dropdown.html.erb (1.5ms)
Read fragment views/tabs_and_title_records-3 (0.1ms)
  Rendered home/_topbar.html.erb (2.4ms)
  Rendered layouts/base.html.erb (3.9ms)
Completed 200 OK in 112ms (Views: 99.6ms | ActiveRecord: 2.1ms)

Comment 2 Dominic Cleal 2014-07-24 11:54:04 UTC
Created redmine issue http://projects.theforeman.org/issues/6765 from this bug

Comment 3 Bryan Kearney 2014-11-24 19:02:54 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6765 has been closed
-------------
Anonymous
Applied in changeset commit:d3d17516a5b2b92c357a756fef2f18599f919a76.

Comment 4 jcallaha 2014-12-12 20:21:25 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Version Tested:
RHEL 66 / RHEL 7

foreman-ovirt-1.8.0-0.develop.201412111740git287d974.el6.noarch
qe-foreman-rhel66.usersys.redhat.com-puppet-client-1.0-1.noarch
foreman-gce-1.8.0-0.develop.201412111740git287d974.el6.noarch
ruby193-rubygem-foreman-tasks-0.6.10-2.el6.noarch
rubygem-hammer_cli_foreman-0.1.4-1.201412111235git2131f5d.el6.noarch
foreman-release-1.8.0-0.develop.201412111740git287d974.el6.noarch
qe-foreman-rhel66.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel66.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.1-1.el6.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2-1.el6.noarch
foreman-libvirt-1.8.0-0.develop.201412111740git287d974.el6.noarch
qe-foreman-rhel66.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel66.usersys.redhat.com-parent-cert-1.0-1.noarch
foreman-1.8.0-0.develop.201412111740git287d974.el6.noarch
foreman-vmware-1.8.0-0.develop.201412111740git287d974.el6.noarch
foreman-selinux-1.8.0-0.develop.201411281557gitf4a857f.el6.noarch
foreman-proxy-1.8.0-0.develop.201412111700gita7c8c34.el6.noarch
foreman-postgresql-1.8.0-0.develop.201412111740git287d974.el6.noarch
qe-foreman-rhel66.usersys.redhat.com-foreman-proxy-1.0-1.noarch
qe-foreman-rhel66.usersys.redhat.com-qpid-broker-1.0-1.noarch
katello-ca-consumer-qe-foreman-rhel66.usersys.redhat.com-1.0-1.noarch
foreman-compute-1.8.0-0.develop.201412111740git287d974.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch

Comment 5 Bryan Kearney 2015-08-11 13:24:19 UTC
This bug is slated to be released with Satellite 6.1.

Comment 6 errata-xmlrpc 2015-08-12 05:11:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.